Bug 315351 - Review Request: superiotool - Simple program for detecting Super I/O on your mainboard
Review Request: superiotool - Simple program for detecting Super I/O on your ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 09:11 EDT by Peter Lemenkov
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-13 11:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2007-10-02 09:11:53 EDT
Spec URL: http://peter.fedorapeople.org/superiotool.spec
SRPM URL: http://peter.fedorapeople.org/superiotool-0-0.1.20071002svn2816.fc7.src.rpm
Description: User-space helper tool which allows you to detect which Super I/O you have 
on your mainboard, and it can provide detailed information about the register 
contents of the Super I/O.

A small companion to flashrom but more highly tailored for developer's specific tasks. Easy to review though
Comment 1 Parag AN(पराग) 2007-10-03 05:19:51 EDT
Need some changes
1) Preserve timestamp by using -p option 
check
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab
2) patch name should be superiotool-Makefile_cleanup.diff
   Remove extra hypen in patch name and apply patch in %setup as 
   %patch -p0 -b .Makefile_cleanup

3) SHOULD: If the source package does not include license text(s) as a separate 
file from upstream, the packager SHOULD query upstream to include it.

4) either use macros for all commands install,mkdir or remove macro use for rm,
mkdir commands.

Comment 2 Peter Lemenkov 2007-10-03 05:53:27 EDT
(In reply to comment #1)
> Need some changes
> 1) Preserve timestamp by using -p option 

Done.

> 2) patch name should be superiotool-Makefile_cleanup.diff
>    Remove extra hypen in patch name and apply patch in %setup as 
>    %patch -p0 -b .Makefile_cleanup

Done.

> 3) SHOULD: If the source package does not include license text(s) as a separate 
> file from upstream, the packager SHOULD query upstream to include it.

I'll drop a line to linuxbios-maillist later.

> 4) either use macros for all commands install,mkdir or remove macro use for rm,
> mkdir commands.

Done.

New svn. version 2818 (slightly changed output of ./superiotool -v command)

http://peter.fedorapeople.org/superiotool.spec
http://peter.fedorapeople.org/superiotool-0-0.2.20071003svn2818.fc7.src.rpm

Comment 3 Parag AN(पराग) 2007-10-03 06:52:12 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
02d6422ff79cb0a3cf69fab39b09c3f4  superiotool-2818.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package in source files.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package superiotool-0-0.2.20071003svn2818.fc8 ->
   Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) rtld(GNU_HASH)
+ Not a GUI app.

SHOULD:
   You missed to remove make command macro. make sure to take care of that at
time of cvs import.

APPROVED.
Comment 4 Peter Lemenkov 2007-10-03 08:42:34 EDT
Thanks!

New Package CVS Request
=======================
Package Name: superiotool
Short Description: Simple program for detecting Super I/O on your mainboard
Owners: peter
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: peter
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-10-03 22:57:06 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.